%define pypi_name dockerpty

Name:           python-%pypi_name
Version:        0.4.1
Release:        %mkrel 11
Summary:        A Python library to use the pseudo-tty of a docker container
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/d11wtq/dockerpty
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to
a docker container, using the Python client.

%package -n python3-%{pypi_name}
Summary:        A Python library to use the pseudo-tty of a docker container
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to
a docker container, using the Python client.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sun Jan 21 2024 wally <wally> 0.4.1-11.mga10
+ Revision: 2033107
- rebuild for py3.12
- add python3 sub pkg
- use pyproject rpm macros

* Thu Mar 24 2022 umeabot <umeabot> 0.4.1-10.mga9
+ Revision: 1825028
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 joequant <joequant> 0.4.1-9.mga9
+ Revision: 1783527
- rebuild python 3.10

* Sun Feb 16 2020 umeabot <umeabot> 0.4.1-8.mga9
+ Revision: 1533712
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 0.4.1-7.mga8
+ Revision: 1445336
- rebuild for python-3.8

* Thu Sep 05 2019 bcornec <bcornec> 0.4.1-6.mga8
+ Revision: 1437446
- remove python2 build

* Tue Jan 08 2019 shlomif <shlomif> 0.4.1-5.mga7
+ Revision: 1352483
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.1-4.mga7
+ Revision: 1288782
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.4.1-3.mga7
+ Revision: 1168272
- BR python-six thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.4.1-2.mga7
+ Revision: 1135396
- Rebuild for python 3.6

* Mon May 23 2016 bcornec <bcornec> 0.4.1-1.mga6
+ Revision: 1017927
- Adds sha1
- Adds a new python-dockerpty package required by docker-compose
- Created package structure for python-dockerpty.

